<?php
session_start();

header('Content-Type: text/html; charset=utf-8');

// kontrola, jestli ěnjaký vtipálek nepřeskočil polovinu instalace
if (isset($_SESSION['last_installation_step'])) {

	$last_step = "check_system";
	$current_step = "download_and_unpack";

	if ($_SESSION['last_installation_step'] == $last_step) {
		$_SESSION['last_installation_step'] = $current_step;
	}

	if ($_SESSION['last_installation_step'] != $current_step) {
		header("location: ./".$last_step.".php");
		die();
	}
} else {
	header("location: ./install_index.php");
}



define("ROOT", dirname(__FILE__));

if (!file_exists("./kRS-3.2.3.zip")) {
	// budeme stahovat
	if (is_writable(ROOT)) {

		if ($get_package = file_get_contents("http://r.kvacek.cz/rs/kRS-3.2.3.zip")) {
			file_put_contents("./kRS-3.2.3.zip", $get_package);
		} else {
			$continue_link = "<span class='error'>Nelze pokračovat - nelze stáhnout balík!</span>\n";
			$skip_rest = true;
		}
	} else {
		$continue_link = "<span class='error'>Nelze pokračovat - nelze zapisovat do ".htmlspecialchars(ROOT).".</span>\n";
		$skip_rest = true;
	}
}

if (!isset($skip_rest)) {

	if (file_exists("./kRS-3.2.3.zip")) {

		if (class_exists("ZipArchive")) {

			$zip = new ZipArchive;

			// otevřeme archiv
			$zip_open = $zip->open(ROOT.DIRECTORY_SEPARATOR."kRS-3.2.3.zip");

			// povedlo se otevření?
			if ($zip_open === TRUE) {

				// rozbalíme do rootu
				$zip->extractTo(ROOT);

				// ukončíme práci s zip archivem
				$zip->close();

				unlink("./kRS-3.2.3.zip");

				header("location: ./mysql.php");
				exit();
			} else {
				$continue_link = "<span class='error'>Nelze pokračovat - nelze otevřít archiv. Budeš muset systém rozbalit ručně.</span>";
			}
		} else {
			$continue_link = "<span class='error'>Nelze pokračovat - Neexistuje třída ZipArchive!</span>";
		}
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Instalace kRS 3.2 - stažení a rozbalení systému</title>

<meta name='author' content='Michal Kváček' />
<meta name='description' content='' />
<meta name='keywords' content='' />
<meta name='robots' content='noindex, nofollow' />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />

<style type='text/css'>
html {
	background: #CACACA;
	padding-top: 5em;
}

a {
	color: #353535;
	font-weight: bold;
}

.ok, .error, .not_recommanded {
	font-weight: bold;
	font-size: big;
}

.ok {
	color: #008A00;
}

.error {
	color: #810000;
}

.not_recommanded {
	color: #BD7D00;
}

#container, #logo, #installation_progress {
	width: 80%;
	border: solid 1px #C6C6C6;
	background: #DADADA;
	color: #424242;
	margin: 10px auto;
	padding: 10px;
}

#footer {
	width: 80%;
	margin: 10px auto;
	text-align: center;
	font-size: small;
}
</style>

</head>
<body>

	<div id='logo'>
		<h1>Instalace kRS 3.2</h1>
	</div>

	<div id='installation_progress'><span style='color: green'>Zahájení instalace » Kontrola požadavků</span> » <em>Stažení a rozbalení systému</em> » Přihlášení do databáze » Vytvoření uživatele » Dokončení instalace</div>

	<div id='container'>

		<p>
			<h3>Stažení a rozbalení systému</h3>
		</p>
		<p>
			<?php echo $continue_link; ?>
		</p>

	</div>

	<div id='footer'>
		&copy; Michal Kváček 2012
	</div>

</body>
</html>
